summaryrefslogtreecommitdiffstats
path: root/testing/ulogd/ulogd.initd
diff options
context:
space:
mode:
Diffstat (limited to 'testing/ulogd/ulogd.initd')
-rw-r--r--testing/ulogd/ulogd.initd37
1 files changed, 37 insertions, 0 deletions
diff --git a/testing/ulogd/ulogd.initd b/testing/ulogd/ulogd.initd
new file mode 100644
index 00000000..792e4eb4
--- /dev/null
+++ b/testing/ulogd/ulogd.initd
@@ -0,0 +1,37 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/www/viewcvs.gentoo.org/raw_cvs/gentoo-x86/app-admin/ulogd/files/ulogd,v 1.2 2004/07/13 16:32:25 aliz Exp $
+
+opts="reload"
+
+depend() {
+ need net
+}
+
+checkconfig() {
+ if [ ! -e /etc/ulogd.conf ]; then
+ eerror "You need /etc/ulogd.conf"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting ulogd"
+ start-stop-daemon --start --quiet --exec /usr/sbin/ulogd >/dev/null 2>&1
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ulogd"
+ start-stop-daemon --stop --quiet --exec /usr/sbin/ulogd >/dev/null 2>&1
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading ulogd.conf file"
+ killall -HUP ulogd &>/dev/null
+ eend $?
+}
+